All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Mirror
Geometry Transforms

Mirrors images horizontally, vertically or diagonally. More...

## Functions

NppStatus | nppiMirror_8u_C1R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned image mirror. More...
NppStatus | nppiMirror_8u_C1R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_C1IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 8-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_8u_C1IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_C3R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned image mirror. More...
NppStatus | nppiMirror_8u_C3R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_C3IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 8-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_8u_C3IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_C4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image mirror. More...
NppStatus | nppiMirror_8u_C4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_C4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_8u_C4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_AC4R_Ctx (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned image mirror not affecting alpha. More...
NppStatus | nppiMirror_8u_AC4R (const Npp8u *pSrc, int nSrcStep, Npp8u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_8u_AC4IR_Ctx (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 8-bit unsigned in place image mirror not affecting alpha. More...
NppStatus | nppiMirror_8u_AC4IR (Npp8u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C1R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned image mirror. More...
NppStatus | nppiMirror_16u_C1R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C1IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 16-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_16u_C1IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C3R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned image mirror. More...
NppStatus | nppiMirror_16u_C3R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C3IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 16-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_16u_C3IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image mirror. More...
NppStatus | nppiMirror_16u_C4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_C4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned in place image mirror. More...
NppStatus | nppiMirror_16u_C4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_AC4R_Ctx (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned image mirror not affecting alpha. More...
NppStatus | nppiMirror_16u_AC4R (const Npp16u *pSrc, int nSrcStep, Npp16u *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16u_AC4IR_Ctx (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit unsigned in place image mirror not affecting alpha. More...
NppStatus | nppiMirror_16u_AC4IR (Npp16u *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C1R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed image mirror. More...
NppStatus | nppiMirror_16s_C1R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C1IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 16-bit signed in place image mirror. More...
NppStatus | nppiMirror_16s_C1IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C3R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed image mirror. More...
NppStatus | nppiMirror_16s_C3R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C3IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 16-bit signed in place image mirror. More...
NppStatus | nppiMirror_16s_C3IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed image mirror. More...
NppStatus | nppiMirror_16s_C4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_C4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed in place image mirror. More...
NppStatus | nppiMirror_16s_C4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_AC4R_Ctx (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed image mirror not affecting alpha. More...
NppStatus | nppiMirror_16s_AC4R (const Npp16s *pSrc, int nSrcStep, Npp16s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_16s_AC4IR_Ctx (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 16-bit signed in place image mirror not affecting alpha. More...
NppStatus | nppiMirror_16s_AC4IR (Npp16s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C1R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 32-bit image mirror. More...
NppStatus | nppiMirror_32s_C1R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C1IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 32-bit signed in place image mirror. More...
NppStatus | nppiMirror_32s_C1IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C3R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 32-bit image mirror. More...
NppStatus | nppiMirror_32s_C3R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C3IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 32-bit signed in place image mirror. More...
NppStatus | nppiMirror_32s_C3IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image mirror. More...
NppStatus | nppiMirror_32s_C4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_C4IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed in place image mirror. More...
NppStatus | nppiMirror_32s_C4IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_AC4R_Ctx (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit image mirror not affecting alpha. More...
NppStatus | nppiMirror_32s_AC4R (const Npp32s *pSrc, int nSrcStep, Npp32s *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32s_AC4IR_Ctx (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit signed in place image mirror not affecting alpha. More...
NppStatus | nppiMirror_32s_AC4IR (Npp32s *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C1R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 32-bit float image mirror. More...
NppStatus | nppiMirror_32f_C1R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C1IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 1 channel 32-bit float in place image mirror. More...
NppStatus | nppiMirror_32f_C1IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C3R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 32-bit float image mirror. More...
NppStatus | nppiMirror_32f_C3R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C3IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 3 channel 32-bit float in place image mirror. More...
NppStatus | nppiMirror_32f_C3IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image mirror. More...
NppStatus | nppiMirror_32f_C4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_C4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float in place image mirror. More...
NppStatus | nppiMirror_32f_C4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_AC4R_Ctx (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float image mirror not affecting alpha. More...
NppStatus | nppiMirror_32f_AC4R (const Npp32f *pSrc, int nSrcStep, Npp32f *pDst, int nDstStep, NppiSize oROI, NppiAxis flip)
NppStatus | nppiMirror_32f_AC4IR_Ctx (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip, NppStreamContext nppStreamCtx)
| 4 channel 32-bit float in place image mirror not affecting alpha. More...
NppStatus | nppiMirror_32f_AC4IR (Npp32f *pSrcDst, int nSrcDstStep, NppiSize oROI, NppiAxis flip)

## Detailed Description

Mirrors images horizontally, vertically or diagonally.

# Mirror Error Codes

- NPP_MIRROR_FLIP_ERROR if flip has an illegal value.

### Common parameters for nppiMirror non-inplace and inplace functions include:

Parameters

  pSrcDst | In-Place Image Pointer for inplace functions.
  nSrcDstStep | In-Place-Image Line Step for inplace functions.
  pSrc | Source-Image Pointer for non-inplace functions.
  nSrcStep | Source-Image Line Step for non-inplace functions.
  pDst | Destination-Image Pointer for non-inplace functions.
  nDstStep | Destination-Image Line Step for non-inplace functions.
  oROI | Region-of-Interest (ROI).
  flip | Specifies the axis about which the image is to be mirrored.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Mirror Error Codes

## Function Documentation

NppStatus nppiMirror_16s_AC4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_AC4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed in place image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_AC4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_AC4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C1IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C1IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C1R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C1R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit signed image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C3IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C3IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C3R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C3R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit signed image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C4IR | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C4IR_Ctx | ( | Npp16s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16s_C4R | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16s_C4R_Ctx | ( | const Npp16s * | pSrc,
|  | int | nSrcStep,
|  | Npp16s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit signed image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_AC4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_AC4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned in place image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_AC4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C1IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C1IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C1R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 16-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C3IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C3IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C3R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 16-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C4IR | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C4IR_Ctx | ( | Npp16u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_16u_C4R | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | int | nSrcStep,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 16-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_AC4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_AC4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float in place image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_AC4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C1IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C1IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit float in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C1R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit float image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C3IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C3IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit float in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C3R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit float image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C4IR | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C4IR_Ctx | ( | Npp32f * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32f_C4R | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | int | nSrcStep,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit float image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_AC4IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_AC4IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed in place image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_AC4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C1IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C1IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C1R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 32-bit image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C3IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C3IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C3R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 32-bit image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C4IR | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C4IR_Ctx | ( | Npp32s * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit signed in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_32s_C4R | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | int | nSrcStep,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 32-bit image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_AC4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_AC4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned in place image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_AC4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image mirror not affecting alpha.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C1IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C1IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C1R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

1 channel 8-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C3IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C3IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C3R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

3 channel 8-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C4IR | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C4IR_Ctx | ( | Npp8u * | pSrcDst,
|  | int | nSrcDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned in place image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

NppStatus nppiMirror_8u_C4R | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip
| ) |  |

NppStatus nppiMirror_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | int | nSrcStep,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiSize | oROI,
|  | NppiAxis | flip,
|  | NppStreamContext | nppStreamCtx
| ) |  |

4 channel 8-bit unsigned image mirror.

For common parameter descriptions, see Common parameters for nppiMirror functions.

Copyright © 2009-2020 NVIDIA Corporation